Bug 1011239 - [KDE][abrt] libreoffice-core-4.1.1.2-5.fc19: setCachedRendering: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[KDE][abrt] libreoffice-core-4.1.1.2-5.fc19: setCachedRendering: Process /usr...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
abrt_hash:1bbba2eef3b9d0a17de2fe669ae...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 16:58 EDT by Ian Watson
Modified: 2015-07-13 13:45 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-09 07:26:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (120.03 KB, text/plain)
2013-09-23 16:58 EDT, Ian Watson
no flags Details
File: build_ids (11.05 KB, text/plain)
2013-09-23 16:58 EDT, Ian Watson
no flags Details
File: cgroup (141 bytes, text/plain)
2013-09-23 16:58 EDT, Ian Watson
no flags Details
File: core_backtrace (29.62 KB, text/plain)
2013-09-23 16:58 EDT, Ian Watson
no flags Details
File: dso_list (28.82 KB, text/plain)
2013-09-23 16:58 EDT, Ian Watson
no flags Details
File: environ (2.70 KB, text/plain)
2013-09-23 16:58 EDT, Ian Watson
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-23 16:58 EDT, Ian Watson
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-23 16:58 EDT, Ian Watson
no flags Details
File: maps (133.18 KB, text/plain)
2013-09-23 16:58 EDT, Ian Watson
no flags Details
File: open_fds (823 bytes, text/plain)
2013-09-23 16:58 EDT, Ian Watson
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2013-09-23 16:59 EDT, Ian Watson
no flags Details
File: var_log_messages (675 bytes, text/plain)
2013-09-23 16:59 EDT, Ian Watson
no flags Details

  None (edit)
Description Ian Watson 2013-09-23 16:58:18 EDT
Description of problem:
Was about to insert picture from file. Menu Insert (using Alt-I)->picture->from file.
GUI to select file popped up, but the did not response. Crash 2 seconds later.

Version-Release number of selected component:
libreoffice-core-4.1.1.2-5.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer /home/igw/file_name.odt --splash-pipe=5
crash_function: setCachedRendering
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1004

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 setCachedRendering at /usr/src/debug/kdelibs-4.11.1/kio/kio/delegateanimationhandler_p.h:76
 #1 KFileItemDelegate::paint at /usr/src/debug/kdelibs-4.11.1/kio/kio/kfileitemdelegate.cpp:1325
 #2 QListView::paintEvent at itemviews/qlistview.cpp:1039
 #3 QWidget::event at kernel/qwidget.cpp:8533
 #4 QFrame::event at widgets/qframe.cpp:557
 #5 QAbstractItemView::viewportEvent at itemviews/qabstractitemview.cpp:1644
 #6 QCoreApplicationPrivate::sendThroughObjectEventFilters at kernel/qcoreapplication.cpp:1059
 #7 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:4558
 #8 QApplication::notify at kernel/qapplication.cpp:4423
 #9 KApplication::notify at /usr/src/debug/kdelibs-4.11.1/kdeui/kernel/kapplication.cpp:311
Comment 1 Ian Watson 2013-09-23 16:58:23 EDT
Created attachment 801929 [details]
File: backtrace
Comment 2 Ian Watson 2013-09-23 16:58:27 EDT
Created attachment 801930 [details]
File: build_ids
Comment 3 Ian Watson 2013-09-23 16:58:30 EDT
Created attachment 801931 [details]
File: cgroup
Comment 4 Ian Watson 2013-09-23 16:58:34 EDT
Created attachment 801932 [details]
File: core_backtrace
Comment 5 Ian Watson 2013-09-23 16:58:38 EDT
Created attachment 801933 [details]
File: dso_list
Comment 6 Ian Watson 2013-09-23 16:58:42 EDT
Created attachment 801934 [details]
File: environ
Comment 7 Ian Watson 2013-09-23 16:58:46 EDT
Created attachment 801935 [details]
File: exploitable
Comment 8 Ian Watson 2013-09-23 16:58:50 EDT
Created attachment 801936 [details]
File: limits
Comment 9 Ian Watson 2013-09-23 16:58:54 EDT
Created attachment 801937 [details]
File: maps
Comment 10 Ian Watson 2013-09-23 16:58:57 EDT
Created attachment 801938 [details]
File: open_fds
Comment 11 Ian Watson 2013-09-23 16:59:01 EDT
Created attachment 801939 [details]
File: proc_pid_status
Comment 12 Ian Watson 2013-09-23 16:59:04 EDT
Created attachment 801940 [details]
File: var_log_messages

Note You need to log in before you can comment on or make changes to this bug.